package ru.yandex.autotests.direct.web.util;

import org.apache.commons.lang3.exception.ExceptionUtils;

import ru.yandex.autotests.irt.testutils.allure.AssumptionException;

/**
 * @author Roman Kuhta (kuhtich@yandex-team.ru)
 */
public class DirectWebError extends AssumptionException {
    public DirectWebError(final String message) {
        super(message);
    }

    public DirectWebError(Throwable cause) {
        super(ExceptionUtils.getStackTrace(cause));
    }

    public DirectWebError(String message, Throwable cause) {
        super(message, cause);
    }
}
